package com.hfkj.sysenum;

/**
 * 微信二维码代码类型
 */
public enum WeChatQrCodeTypeEnum {
    PAYMENT_CODE("PAYMENT_CODE" , "支付码码牌上的二维码"),
    PAYMENT_SUCCESS("PAYMENT_SUCCESS" , "支付成功生成的二维码"),
    SHARE("SHARE" , "分享关注公众号"),
    ;

    private String code;
    private String desc;

    WeChatQrCodeTypeEnum(String code , String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
